#!/bin/sh

ADD=104

# directory where reside dlls to test
# can be a link
DIR=$PWD/dlls
if [ ! -d "$DIR" ]; then 
  exit 1
fi

rm -f vedi$ADD.txt error$ADD.txt md5s$ADD.txt

# find all dll in this directory
FILES=`find "$DIR" -iname \*.dll -follow | sort`
NUM=`echo "$FILES" | wc -l | sed 's, ,,g'`
N=1
for file in $FILES
do

  echo "[$N/$NUM] $file"
  N=`expr $N + 1`
  echo "
----------------------------------------
File $file" >> error$ADD.txt
#  ./perdr98d --show-priority -b "$file"  2>> /dev/null | perl -ne 'BEGIN { $show = 1 }; if ($_ =~ m,\^* Current priority: ,) { if ($_ =~ /filler|none/) { $show = 0} else { $show = 1 } }; print $_ if ($show)' > vedi1.txt
#  ./perdr --show-priority -b "$file"  2>> /dev/null | perl -ne 'BEGIN { $show = 1 }; if ($_ =~ m,\^* Current priority: ,) { if ($_ =~ /filler|none/) { $show = 0} else { $show = 1 } }; print $_ if ($show)' > vedi2.txt
#  ./corr.pl || echo "$file" >> lista.txt

  ./perdr$ADD $file 2>> error$ADD.txt | grep -v TimeDateStamp | grep -v "Possible string reference" | grep -v '^|\?$'> vedi$ADD.txt
#  ./perdr $file  2>> error$ADD.txt | grep -v '^ Addr:' > vedi.txt
  echo -n "$file " >> md5s$ADD.txt
  md5sum vedi$ADD.txt >> md5s$ADD.txt
#  mv vedi.txt out/`echo $file | sed 's,.*/,,'`.txt
  rm -f vedi$ADD.txt
done

cat md5s$ADD.txt | sed "s,^$DIR/\\(.*\\.dll \\)\\([0-9a-f]\\+\\).*$,\\2 \\1,gi" > md5s2_$ADD.txt
mv -f md5s2_$ADD.txt md5s$ADD.txt

perl error.pl error$ADD.txt > vedi$ADD.txt

less vedi$ADD.txt

exit 0
